function fig = cscra()
% Version 2.0
% This is the machine-generated representation WITH MODIFICATIONS of a Handle Graphics object
% and its children.  Note that handle values may change when these objects
% are re-created. This may cause problems with any callbacks written to
% depend on the value of the handle at the time the object was saved.
%
% To reopen this object, just type the name of the M-file at the MATLAB
% prompt. The M-file and its associated MAT-file must be on your path.

% This file is used in conjunction with cmdhndlr.m.  This is the main screent to the program
% lslnr.
%
% 7/17/98 - Changes made to support lower resolutions
% 8/21/98 - Changes made to improve appearance
% 9/3/98 - Added "Bode Design" button
%
%   Modifications made by
%                         Raymond C. Garcia
%                         Georgia Institute of Technology
%                         Atlanta, Georgia
%                         gt7877c@prism.gatech.edu

h0 = figure('Units','normalized', ...
	'Color',[0.8 0.8 0.8], ...
	'Name','Linear System Command Center', ...
	'NumberTitle','off', ...
	'Position',[0.00390625 0.515625 0.96875 0.4166666666666666], ...
	'Tag','Fig1');
h1 = uimenu('Parent',h0, ...
	'Callback','cmdhndlr(''mnucmdmsg'')', ...
	'Label','&Instructions', ...
	'Tag','mnucmdmsg');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',0.0547008547008547, ...
	'ListboxTop',0, ...
	'Position',[0.002580645161290323 0.06800000000000001 0.4412903225806452 0.8120000000000001], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941176470588 0.752941176470588 0.752941176470588], ...
	'FontSize',0.0547008547008547, ...
	'ListboxTop',0, ...
	'Position',[0.447334200260078 0.06481481481481481 0.4447334200260078 0.8148148148148148], ...
	'Style','frame', ...
	'Tag','Frame3');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0 0], ...
	'FontSize',0.7619047619047619, ...
	'ListboxTop',0, ...
	'Position',[0.01300390117035 0.29166666666667 0.42652795838752 0.01851851851852], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.3232323232323232, ...
	'ListboxTop',0, ...
	'Position',[0.19254032258065 0.8375 0.06754032258065 0.096875], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.3440860215053763, ...
	'ListboxTop',0, ...
	'Position',[0.186491935483871 0.44375 0.0735887096774194 0.07187499999999999], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0 0], ...
	'FontSize',0.711111111111111, ...
	'ListboxTop',0, ...
	'Position',[0.23276983094928 0.67592592592593 0.20156046814044 0.01851851851852], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0 0], ...
	'FontSize',0.711111111111111, ...
	'ListboxTop',0, ...
	'Position',[0.67490247074122 0.67592592592593 0.20416124837451 0.01851851851852], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.304761904761905, ...
	'ListboxTop',0, ...
	'Position',[0.5967741935483871 0.83125 0.1653225806451613 0.096875], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0 0 0], ...
	'FontSize',0.7619047619047619, ...
	'ListboxTop',0, ...
	'Position',[0.4577373211963589 0.2916666666666666 0.4278283485045514 0.01851851851851852], ...
	'Style','frame', ...
	'Tag','Frame1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.344086021505376, ...
	'ListboxTop',0, ...
	'Position',[0.6401209677419361 0.44375 0.0735887096774194 0.07187499999999999], ...
	'Style','frame', ...
	'Tag','Frame2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','cmdhndlr(''btnlocus'')', ...
	'FontSize',0.10666666666667, ...
	'ListboxTop',0, ...
	'Position',[0.8971774193548386 0.06875000000000001 0.09879032258064516 0.396875], ...
	'String','Root Locus', ...
	'Tag','btnlocus');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','cmdhndlr(''edtnump'')', ...
	'FontSize',0.367816091954023, ...
	'ListboxTop',0, ...
	'Position',[0.3084677419354839 0.7000000000000001 0.1219758064516129 0.07500000000000001], ...
	'Style','edit', ...
	'Tag','edtnump');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','cmdhndlr(''edtdenp'')', ...
	'FontSize',0.333333333333333, ...
	'ListboxTop',0, ...
	'Position',[0.3084677419354839 0.6000000000000001 0.1219758064516129 0.07500000000000001], ...
	'Style','edit', ...
	'Tag','edtdenp');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','cmdhndlr(''edtnumc'')', ...
	'FontSize',0.367816091954023, ...
	'ListboxTop',0, ...
	'Position',[0.75 0.696875 0.122983870967742 0.075], ...
	'Style','edit', ...
	'Tag','edtnumc');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[1 1 1], ...
	'Callback','cmdhndlr(''edtdenc'')', ...
	'FontSize',0.3333333333333333, ...
	'ListboxTop',0, ...
	'Position',[0.75100806451613 0.603125 0.12298387096774 0.075], ...
	'Style','edit', ...
	'Tag','edtdenc');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',0.952380952380952, ...
	'ListboxTop',0, ...
	'Position',[0.276129032258065 0.664 0.0296774193548387 0.116], ...
	'String','=', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',0.476190476190476, ...
	'ListboxTop',0, ...
	'Position',[0.236895161290323 0.696875 0.0348387096774194 0.08], ...
	'String','N(s)', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',0.476190476190476, ...
	'ListboxTop',0, ...
	'Position',[0.237903225806452 0.590625 0.0342741935483871 0.08125], ...
	'String','D(s)', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'Callback','cmdhndlr(''rdcoefp'')', ...
	'FontSize',0.4, ...
	'ListboxTop',0, ...
	'Position',[0.009072580645161289 0.665625 0.163306451612903 0.059375], ...
	'String','Enter Coefficients', ...
	'Style','radiobutton', ...
	'Tag','rdcoefp', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'Callback','cmdhndlr(''rdpzp'')', ...
	'FontSize',0.4, ...
	'ListboxTop',0, ...
	'Position',[0.007802340702210663 0.6018518518518519 0.211963589076723 0.06481481481481481], ...
	'String','Enter  Poles and Zeroes', ...
	'Style','radiobutton', ...
	'Tag','rdpzp');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontName','courier new', ...
	'FontSize',0.419047619047619, ...
	'ListboxTop',0, ...
	'Position',[0.01430429128739 0.30555555555556 0.42392717815345 0.10648148148148], ...
	'Style','text', ...
	'Tag','txtnump');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontName','courier new', ...
	'FontSize',0.4583333333333333, ...
	'ListboxTop',0, ...
	'Position',[0.01430429128739 0.19444444444444 0.42392717815345 0.10185185185185], ...
	'Style','text', ...
	'Tag','txtdenp');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'Callback','cmdhndlr(''rdfactp'')', ...
	'FontSize',0.4848484848484848, ...
	'ListboxTop',0, ...
	'Position',[0.247074122236671 0.09722222222222221 0.1430429128738622 0.06481481481481481], ...
	'String','Factored Form', ...
	'Style','radiobutton', ...
	'Tag','rdfactp');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'Callback','cmdhndlr(''rdpolyp'')', ...
	'FontSize',0.4637681159420289, ...
	'ListboxTop',0, ...
	'Position',[0.03511053315995 0.10185185185185 0.15994798439532 0.06481481481481], ...
	'String','Polynomial Form', ...
	'Style','radiobutton', ...
	'Tag','rdpolyp', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.41025641025641, ...
	'ListboxTop',0, ...
	'Position',[0.192540322580645 0.45625 0.0604838709677419 0.046875], ...
	'String','Display', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','cmdhndlr(''btnplusp'')', ...
	'FontSize',0.533333333333333, ...
	'ListboxTop',0, ...
	'Position',[0.05548387096774193 0.468 0.08774193548387096 0.044], ...
	'String','+', ...
	'Tag','btnplusp');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','cmdhndlr(''btnminusp'')', ...
	'FontSize',0.6349206349206349, ...
	'ListboxTop',0, ...
	'Position',[0.2990897269180755 0.4629629629629629 0.08712613784135241 0.04166666666666666], ...
	'String','-', ...
	'Tag','btnminusp');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.450128205128205, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.19556451612903 0.846875 0.06048387096774 0.078125], ...
	'String','Plant', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.450128205128205, ...
	'FontWeight','bold', ...
	'ListboxTop',0, ...
	'Position',[0.60383064516129 0.8375 0.152217741935484 0.08437500000000001], ...
	'String','Compensator', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','cmdhndlr(''btnminusc'')', ...
	'FontSize',0.6349206349206349, ...
	'ListboxTop',0, ...
	'Position',[0.7464239271781534 0.4583333333333333 0.08842652795838751 0.04629629629629629], ...
	'String','-', ...
	'Tag','btnminusc');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','cmdhndlr(''btnplusc'')', ...
	'FontSize',0.5333333333333333, ...
	'ListboxTop',0, ...
	'Position',[0.5149544863459038 0.4583333333333333 0.08712613784135241 0.04166666666666666], ...
	'String','+', ...
	'Tag','btnplusc');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontSize',0.41025641025641, ...
	'ListboxTop',0, ...
	'Position',[0.6461693548387096 0.45625 0.05846774193548387 0.046875], ...
	'String','Display', ...
	'Style','text', ...
	'Tag','StaticText1');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'Callback','cmdhndlr(''rdpolyc'')', ...
	'FontSize',0.4637681159420289, ...
	'ListboxTop',0, ...
	'Position',[0.4889466840052 0.10185185185185 0.15864759427828 0.06481481481481], ...
	'String','Polynomial Form', ...
	'Style','radiobutton', ...
	'Tag','rdpolyc');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'Callback','cmdhndlr(''rdfactc'')', ...
	'FontSize',0.4848484848484848, ...
	'ListboxTop',0, ...
	'Position',[0.7009102730819246 0.1064814814814815 0.1586475942782835 0.06481481481481481], ...
	'String','Factored Form', ...
	'Style','radiobutton', ...
	'Tag','rdfactc', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontName','courier new', ...
	'FontSize',0.4583333333333333, ...
	'ListboxTop',0, ...
	'Position',[0.45903771131339 0.19444444444444 0.42522756827048 0.10185185185185], ...
	'Style','text', ...
	'Tag','txtdenc');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.8 0.8 0.8], ...
	'FontName','courier new', ...
	'FontSize',0.4583333333333333, ...
	'ListboxTop',0, ...
	'Position',[0.4590377113133941 0.3055555555555555 0.4252275682704811 0.1064814814814815], ...
	'Style','text', ...
	'Tag','txtnumc', ...
	'UserData',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'Callback','cmdhndlr(''rdpzc'')', ...
	'FontSize',0.426666666666667, ...
	'ListboxTop',0, ...
	'Position',[0.4529032258064516 0.6 0.2129032258064516 0.06800000000000001], ...
	'String','Enter  Poles and Zeroes', ...
	'Style','radiobutton', ...
	'Tag','rdpzc');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'Callback','cmdhndlr(''rdcoefc'')', ...
	'FontSize',0.444444444444444, ...
	'ListboxTop',0, ...
	'Position',[0.452903225806452 0.668 0.164314516129032 0.059375], ...
	'String','Enter Coefficients', ...
	'Style','radiobutton', ...
	'Tag','rdcoefc', ...
	'Value',1);
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',0.476190476190476, ...
	'ListboxTop',0, ...
	'Position',[0.6794354838709678 0.59375 0.03427419354838709 0.08125], ...
	'String','D(s)', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',0.476190476190476, ...
	'ListboxTop',0, ...
	'Position',[0.6787096774193548 0.6960000000000001 0.03483870967741935 0.08], ...
	'String','N(s)', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'BackgroundColor',[0.752941 0.752941 0.752941], ...
	'FontSize',0.9523809523809523, ...
	'ListboxTop',0, ...
	'Position',[0.718709677419355 0.664 0.0296774193548387 0.116], ...
	'String','=', ...
	'Style','text', ...
	'Tag','StaticText2');
h1 = uicontrol('Parent',h0, ...
	'Units','normalized', ...
	'FontUnits','normalized', ...
	'Callback','cmdhndlr(''btnbodedsgn'')', ...
	'FontSize',0.1035598705501618, ...
	'ListboxTop',0, ...
	'Position',[0.8951612903225806 0.4875 0.09979838709677419 0.396875], ...
	'String','Bode Design', ...
	'Tag','btnbodedsgn');
if nargout > 0, fig = h0; end
